## restartd 0.1.a-3

=== Makefile ===
# Restartd Makefile

C_ARGS = -Wall -O2
CC = gcc
INS = /usr/bin/install

all:	restartd

install: restartd
	$(INS) -o root -g root -m 0640 restartd.conf $(DESTDIR)/etc
	$(INS) -o root -g root -m 0754 -b restartd $(DESTDIR)/usr/sbin
	$(INS) -o root -g root -m 0444 restartd.8 $(DESTDIR)/usr/share/man/man8

clean:
	rm -f *.o restartd

restartd:	main.o config.o
	$(CC) -o restartd main.o config.o
#	strip restartd

main.o:	main.c
	$(CC) $(C_ARGS) -c main.c

config.o:	config.c
	$(CC) $(C_ARGS) -c config.c

=== debian/changelog ===
restartd (0.1.a-3) unstable; urgency=low

  * Fixed memory leak, forgot regfree(3) after regular expression. Closes: bug#155220

 -- Tibor Koleszar <oldw@debian.org>  Thu, 20 Jun 2002 16:20:31 +0100

restartd (0.1.a-2) unstable; urgency=low

  * Fixed typos. Closes: bug#150375

 -- Tibor Koleszar <oldw@debian.org>  Thu, 20 Jun 2002 09:28:12 +0100

restartd (0.1.a-1) unstable; urgency=low

  * Initial release.

 -- Tibor Koleszar <oldw@debian.org>  Tue, 11 Jun 2002 14:54:37 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: restartd
Section: utils
Priority: extra
Maintainer: Tibor Koleszar <oldw@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: restartd
Architecture: any
Depends: ${shlibs:Depends}
Description: Process checker and/or restarter
 Restartd is a daemon for checking your running and not
 running processes. It reads the /proc directory in every n
 secs and does a POSIX regexp on the process names. You can
 execute a script/program if the process is not or it is running.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/restartd.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/restartd


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit --init-script=restartd
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## restartd 0.1.a-4

=== debian/changelog ===
restartd (0.1.a-4) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#358514); set maintainer to Debian QA Group.
  * Acknowledge NMU.  Closes: #264232, #281179, #281961, #282328.
  * debian/rules: Add support for DEB_BUILD_OPTIONS=noopt.
  * debian/changelog: Remove obsolete Emacs local variables.

 -- Matej Vela <vela@debian.org>  Thu,  6 Apr 2006 11:20:04 +0200

restartd (0.1.a-3.1) unstable; urgency=low

  * NMU to fix packaging problems:
    - update debhelper usage, standards-version, add force-reload to
      initscript (closes: #264232);
    - update FSF address in copyright;
    - add license pointer to copyright (closes: #281179).
  * Redirect std* to /dev/null and change cdw to '/' thanks to
    "Christian G. Warden" <cwarden@postica.com> for the patch
    (closes: #281961, #282328).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 24 Mar 2006 10:53:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: restartd
 Section: utils
 Priority: extra
-Maintainer: Tibor Koleszar <oldw@debian.org>
-Build-Depends: debhelper (>> 3.0.0)
-Standards-Version: 3.5.2
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 4.0.0)
+Standards-Version: 3.6.2
 
 Package: restartd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,14 @@
 export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+#export DH_COMPAT=3
+
+C_ARGS = -Wall -g
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	C_ARGS += -O0
+else
+	C_ARGS += -O2
+endif
 
 configure: configure-stamp
 configure-stamp:
@@ -22,7 +29,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) C_ARGS="$(C_ARGS)"
 
 	touch build-stamp

## restartd 0.2.2

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	$(INS) -o root -g root -m 0640 restartd.conf $(DESTDIR)/etc
 	$(INS) -o root -g root -m 0754 -b restartd $(DESTDIR)/usr/sbin
 	$(INS) -o root -g root -m 0444 restartd.8 $(DESTDIR)/usr/share/man/man8
+	$(INS) -o root -g root -m 0444 restartd.fr.8 $(DESTDIR)/usr/share/man/fr/man8/restartd.8
 
 clean:
 	rm -f *.o restartd

=== debian/changelog ===
restartd (0.2.2) unstable; urgency=low

  * Fix typos in debian/control and in manpage restartd.8.
  * Add a French manpage restartd.fr.8.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Thu, 14 Sep 2006 22:42:57 +0200

restartd (0.2.1) unstable; urgency=low

  * Add a "-f" option to run restartd in foreground (Closes: #387101).
    Thanks to frealek <frealek@altern.org>, but he says the patch has
    been done by someone else who I do not know, so I cannot credit
    that person properly.
  * Update manpage restartd.8.
  * Update description in debian/control accordingly with the manpage.
  * Clean debian/init and make it LSB-compliant.
  * Clean the code, run indent, and fix typos everywhere.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Thu, 14 Sep 2006 18:41:32 +0200

restartd (0.2) unstable; urgency=low

  * Adopt the package (Closes: #358514).
  * Update to the latest Standards-Version.
  * Throw away Debian revision number, because it is a native package.
  * Add README.Debian with a note concerning system upgrades
    (Closes: #191302).

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sat, 22 Jul 2006 00:11:39 +0200

=== debian/control ===
Source: restartd
Section: utils
Priority: extra
Maintainer: Aurélien GÉRÔME <ag@roxor.cx>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.7.2

Package: restartd
Architecture: any
Depends: ${shlibs:Depends}
Description: Process checker and/or restarter
 Restartd is a daemon for checking running and not running
 processes. It reads the /proc directory every n seconds and does
 a POSIX regexp on the process names. You can execute a script or a
 program if the process is or is not running.

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,7 @@
 # GNU copyright 1997 to 1999 by Joey Hess.
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-#export DH_COMPAT=3
+#export DH_VERBOSE=1
 
 C_ARGS = -Wall -g
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -19,7 +16,6 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	
 
 	touch configure-stamp
 
@@ -51,7 +47,6 @@
 
 	# Add here commands to install the package into debian/restartd.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/restartd
-
 
 # Build architecture-independent files here.
 binary-indep: build install

## restartd 0.2.3

=== Makefile ===
# Restartd Makefile

C_ARGS = -Wall -O2
CC = gcc
INS = /usr/bin/install
VERSION = $(shell cat version)
all: restartd

install: restartd
	$(INS) -o root -g root -m 0640 restartd.conf $(DESTDIR)/etc
	$(INS) -o root -g root -m 0754 -b restartd $(DESTDIR)/usr/sbin
	$(INS) -o root -g root -m 0444 restartd.8 $(DESTDIR)/usr/share/man/man8
	$(INS) -o root -g root -m 0444 restartd.fr.8 $(DESTDIR)/usr/share/man/fr/man8/restartd.8

clean:
	rm -f *.o restartd

restartd: main.o config.o
	$(CC) -o restartd -DVERSION='"$(VERSION)"' main.o config.o
# strip restartd

main.o: main.c
	$(CC) $(C_ARGS) -DVERSION='"$(VERSION)"' -c main.c

config.o: config.c
	$(CC) $(C_ARGS) -DVERSION='"$(VERSION)"' -c config.c

=== debian/changelog ===
restartd (0.2.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957761)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 10 Aug 2020 19:43:26 +0100

restartd (0.2.3-1) unstable; urgency=low

  * Project moved out of Debian as the scope is now broader.
  * Adopting package (closes: #677775).
  * [debian/control]:
   - Added myself as the new maintainer.
   - Updated Standards-Version to 3.9.3.
   - Updated debhelper version in Build-Depends.
  * [debian/source/format]:
   - Moved to new format.
  * [debian/init]:
   - Added $remote_fs to required-start/stop, fixes lintian warning.
  * [debian/watch]:
   - Added pointer to github upstream.

 -- Alexandre Raymond <alexandre.j.raymond@gmail.com>  Fri, 11 Jan 2013 11:23:51 -0500

=== debian/control ===
Source: restartd
Section: utils
Priority: extra
Maintainer: Alexandre Raymond <alexandre.j.raymond@gmail.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Homepage: https://github.com/ajraymond/restartd

Package: restartd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Process checker and/or restarter
 Restartd is a daemon for checking running and not running
 processes. It reads the /proc directory every n seconds and does
 a POSIX regexp on the process names. You can execute a script or a
 program if the process is or is not running.

=== debian/rules ===
#!/usr/bin/make -f

# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

=== debian/watch ===
version=3
https://github.com/ajraymond/restartd/tags .*/v(\d[\d\.]+)\.tar\.gz
